> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get a collection

GET https://api.getpostman.com/collections/{collectionId}

Gets information about a collection. For a complete list of this endpoint's possible values, refer to the [Postman Collection Format documentation](https://schema.postman.com/collection/json/v2.1.0/draft-07/docs/index.html).

Reference: https://learning.postman.com/api-docs/api-reference/collections/get-collection

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /collections/{collectionId}:
    get:
      operationId: getCollection
      summary: Get a collection
      description: >-
        Gets information about a collection. For a complete list of this
        endpoint's possible values, refer to the [Postman Collection Format
        documentation](https://schema.postman.com/collection/json/v2.1.0/draft-07/docs/index.html).
      tags:
        - collections
      parameters:
        - name: collectionId
          in: path
          description: The collection's ID.
          required: true
          schema:
            $ref: '#/components/schemas/collectionId'
        - name: access_key
          in: query
          description: >-
            A collection's read-only access key. Using this query parameter does
            not require an API key to call the endpoint.
          required: false
          schema:
            $ref: '#/components/schemas/collectionAccessKeyQuery'
        - name: model
          in: query
          description: >-
            Return a list of only the collection's root-level request
            (`rootLevelRequests`) and folder (`rootLevelFolders`) IDs instead of
            the full collection element data.
          required: false
          schema:
            $ref: '#/components/schemas/collectionModelQuery'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getCollection'
        '400':
          description: Collection Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorNameMessage'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCollectionRequestUnauthorizedError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCollectionRequestInternalServerError'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    collectionId:
      type: string
      title: collectionId
    collectionAccessKeyQuery:
      type: string
      title: collectionAccessKeyQuery
    collectionModelQuery:
      type: string
      enum:
        - minimal
      title: collectionModelQuery
    GetCollectionCollectionInfoFork:
      type: object
      properties:
        label:
          type: string
          description: The fork's label.
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the collection was forked.
        from:
          type: string
          format: uid
          description: The source (parent) collection's unique ID.
      description: >-
        If the collection was forked from another collection, this object
        contains information about the fork.
      title: GetCollectionCollectionInfoFork
    GetCollectionCollectionInfo:
      type: object
      properties:
        _postman_id:
          type: string
          description: The collection's Postman ID.
        name:
          type: string
          description: The collection's name.
        description:
          type: string
          description: The collection's description.
        schema:
          type: string
          format: url
          description: A URL to the collection's schema.
        fork:
          $ref: '#/components/schemas/GetCollectionCollectionInfoFork'
          description: >-
            If the collection was forked from another collection, this object
            contains information about the fork.
        updatedAt:
          type: string
          format: date-time
          description: The date and time at which the collection was last updated.
        uid:
          type: string
          format: uid
          description: The collection's unique ID.
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the collection was created.
        lastUpdatedBy:
          type: string
          description: The user ID of the user who last updated the collection.
      description: Information about the collection.
      title: GetCollectionCollectionInfo
    Variable2Value:
      oneOf:
        - type: string
        - type: boolean
        - type: integer
      description: The key's value.
      title: Variable2Value
    variable-2:
      type: object
      properties:
        id:
          type: string
          description: The variable's ID. Doesn't apply to collection-level variables.
        key:
          type: string
          description: The variable's key (name).
        description:
          type: string
          description: The variable's description.
        value:
          $ref: '#/components/schemas/Variable2Value'
          description: The key's value.
        disabled:
          type: boolean
          default: false
          description: >-
            If true, the variable is not enabled. Doesn't apply to path
            parameter variables.
      description: Information about the variable.
      title: variable-2
    variable-list-2:
      type: array
      items:
        $ref: '#/components/schemas/variable-2'
      description: >-
        A list of the collection's
        [variables](https://learning.postman.com/docs/sending-requests/variables/variables/).
        Make certain not to include sensitive information in variables.
      title: variable-list-2
    Event2Listen:
      type: string
      enum:
        - test
        - prerequest
      description: The `prerequest` (pre-request) or `test` (post-response) value.
      title: Event2Listen
    script-2:
      type: object
      properties:
        id:
          type: string
          description: The script's ID.
        type:
          type: string
          description: The type of script. For example, `text/javascript`.
        exec:
          type: array
          items:
            type: string
          description: >-
            A list of script strings, where each line represents a line of code.
            Separate lines makes it easy to track script changes.
      description: >-
        Information about the Javascript code that can be used to to perform
        setup or teardown operations in a response.
      title: script-2
    event-2:
      type: object
      properties:
        id:
          type: string
          description: The event's ID.
        listen:
          $ref: '#/components/schemas/Event2Listen'
          description: The `prerequest` (pre-request) or `test` (post-response) value.
        script:
          $ref: '#/components/schemas/script-2'
      required:
        - listen
      description: Information about the collection's events.
      title: event-2
    event-list-2:
      type: array
      items:
        $ref: '#/components/schemas/event-2'
      description: >-
        A list of scripts configured to run when specific events occur. These
        scripts can be referenced in the collection by their ID.
      title: event-list-2
    UrlOneOf1QueryItems:
      type: object
      properties:
        key:
          type:
            - string
            - 'null'
          description: The query parameter's key.
        value:
          type:
            - string
            - 'null'
          description: The key's value.
        disabled:
          type: boolean
          default: false
          description: If true, the query parameter isn't sent with the request.
        description:
          type:
            - string
            - 'null'
          description: The query parameter's description.
      title: UrlOneOf1QueryItems
    Url1:
      type: object
      properties:
        raw:
          type: string
          description: The request's raw URL.
        protocol:
          type: string
          description: The request protocol.
        host:
          type: array
          items:
            type: string
          description: The host's URL.
        path:
          type: array
          items:
            type: string
          description: A list of the URL's path components.
        port:
          type: string
          description: >-
            The URL's port number. An empty value indicates port `80` (http) or
            `443` (https).
        query:
          type: array
          items:
            $ref: '#/components/schemas/UrlOneOf1QueryItems'
          description: >-
            A list of query parameters. These are the query string parts of the
            URL, parsed as separate variables.
      title: Url1
    url:
      oneOf:
        - type: string
          format: url
        - $ref: '#/components/schemas/Url1'
      description: Information about the URL.
      title: url
    Auth2Type:
      type: string
      enum:
        - basic
        - bearer
        - apikey
        - digest
        - oauth1
        - oauth2
        - hawk
        - awsv4
        - ntlm
        - edgegrid
        - jwt
        - asap
      description: The authorization type.
      title: Auth2Type
    AuthAttributeValueOneOf1Items:
      type: object
      properties: {}
      title: AuthAttributeValueOneOf1Items
    AuthAttributeValue1:
      type: array
      items:
        $ref: '#/components/schemas/AuthAttributeValueOneOf1Items'
      title: AuthAttributeValue1
    AuthAttributeValue:
      oneOf:
        - type: string
        - $ref: '#/components/schemas/AuthAttributeValue1'
      description: The key's value.
      title: AuthAttributeValue
    AuthAttributeType:
      type: string
      enum:
        - string
        - boolean
        - number
        - array
        - object
        - any
      description: The value's type.
      title: AuthAttributeType
    auth-attribute:
      type: object
      properties:
        key:
          type: string
          description: The auth method's key value.
        value:
          $ref: '#/components/schemas/AuthAttributeValue'
          description: The key's value.
        type:
          $ref: '#/components/schemas/AuthAttributeType'
          description: The value's type.
      required:
        - key
      description: >-
        Information about the supported Postman [authorization
        type](https://learning.postman.com/docs/sending-requests/authorization/authorization-types/).
      title: auth-attribute
    auth-2:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/Auth2Type'
          description: The authorization type.
        apikey:
          type: array
          items:
            $ref: '#/components/schemas/auth-attribute'
          description: The API key's authentication information.
        awsv4:
          type: array
          items:
            $ref: '#/components/schemas/auth-attribute'
          description: >-
            The attributes for [AWS
            Signature](https://learning.postman.com/docs/sending-requests/authorization/aws-signature/)
            authentication.
        basic:
          type: array
          items:
            $ref: '#/components/schemas/auth-attribute'
          description: >-
            The attributes for [Basic
            Auth](https://learning.postman.com/docs/sending-requests/authorization/authorization-types/#basic-auth).
        bearer:
          type: array
          items:
            $ref: '#/components/schemas/auth-attribute'
          description: >-
            The attributes for [Bearer
            Token](https://learning.postman.com/docs/sending-requests/authorization/authorization-types/#bearer-token)
            authentication.
        digest:
          type: array
          items:
            $ref: '#/components/schemas/auth-attribute'
          description: >-
            The attributes for
            [Digest](https://learning.postman.com/docs/sending-requests/authorization/digest-auth/)
            access authentication.
        edgegrid:
          type: array
          items:
            $ref: '#/components/schemas/auth-attribute'
          description: >-
            The attributes for [Akamai
            Edgegrid](https://learning.postman.com/docs/sending-requests/authorization/akamai-edgegrid/)
            authentication.
        hawk:
          type: array
          items:
            $ref: '#/components/schemas/auth-attribute'
          description: >-
            The attributes for
            [Hawk](https://learning.postman.com/docs/sending-requests/authorization/hawk-authentication/)
            authentication.
        ntlm:
          type: array
          items:
            $ref: '#/components/schemas/auth-attribute'
          description: >-
            The attributes for
            [NTLM](https://learning.postman.com/docs/sending-requests/authorization/ntlm-authentication/)
            authentication.
        oauth1:
          type: array
          items:
            $ref: '#/components/schemas/auth-attribute'
          description: >-
            The attributes for
            [OAuth1](https://learning.postman.com/docs/sending-requests/authorization/oauth-10/)
            authentication.
        oauth2:
          type: array
          items:
            $ref: '#/components/schemas/auth-attribute'
          description: >-
            The attributes for
            [OAuth2](https://learning.postman.com/docs/sending-requests/authorization/oauth-20/)
            authentication.
        jwt:
          type: array
          items:
            $ref: '#/components/schemas/auth-attribute'
          description: >-
            The attributes for JWT (JSON Web Token). Includes the `payload`,
            `secret`, `algorithm`, `addTokenTo`, and `headerPrefix` properties.
        asap:
          type: array
          items:
            $ref: '#/components/schemas/auth-attribute'
          description: >-
            The attributes for ASAP (Atlassian S2S Authentication Protocol).
            Includes the `kid`, `aud`, `iss`, `alg`, `privateKey`, and `claims`
            properties.
      required:
        - type
      description: >-
        The [authorization type supported by
        Postman](https://learning.postman.com/docs/sending-requests/authorization/authorization-types/).
      title: auth-2
    header-2:
      type: object
      properties:
        key:
          type: string
          description: The header's key, such as `Content-Type` or `X-Custom-Header`.
        value:
          type: string
          description: The header key's value.
        description:
          type:
            - string
            - 'null'
          description: The header's description.
      required:
        - key
        - value
      description: Information about the header.
      title: header-2
    header-list-2:
      type: array
      items:
        $ref: '#/components/schemas/header-2'
      description: A list of headers.
      title: header-list-2
    Request2BodyMode:
      type: string
      enum:
        - raw
        - urlencoded
        - formdata
        - file
        - graphql
      description: The data associated with the request.
      title: Request2BodyMode
    Request2BodyUrlencodedItems:
      type: object
      properties:
        key:
          type: string
          description: The key value.
        value:
          type: string
          description: The key's value.
        description:
          type:
            - string
            - 'null'
          description: The key's description.
      required:
        - key
      title: Request2BodyUrlencodedItems
    Request2BodyFormdataItemsOneOf0Type:
      type: string
      enum:
        - text
      description: The `text` value.
      title: Request2BodyFormdataItemsOneOf0Type
    Request2BodyFormdataItems0:
      type: object
      properties:
        key:
          type: string
          description: The key value.
        value:
          type: string
          description: The key's value.
        type:
          $ref: '#/components/schemas/Request2BodyFormdataItemsOneOf0Type'
          description: The `text` value.
        contentType:
          type: string
          description: The form-data Content-Type header.
        description:
          type:
            - string
            - 'null'
          description: The key's description.
      title: Request2BodyFormdataItems0
    Request2BodyFormdataItemsOneOf1Src:
      oneOf:
        - type: string
        - type: array
          items:
            type: string
      title: Request2BodyFormdataItemsOneOf1Src
    Request2BodyFormdataItemsOneOf1Type:
      type: string
      enum:
        - file
      description: The `file` value.
      title: Request2BodyFormdataItemsOneOf1Type
    Request2BodyFormdataItems1:
      type: object
      properties:
        key:
          type: string
          description: The key value.
        src:
          $ref: '#/components/schemas/Request2BodyFormdataItemsOneOf1Src'
        type:
          $ref: '#/components/schemas/Request2BodyFormdataItemsOneOf1Type'
          description: The `file` value.
        contentType:
          type: string
          description: The form-data Content-Type header.
        description:
          type:
            - string
            - 'null'
          description: The key's description.
      title: Request2BodyFormdataItems1
    Request2BodyFormdataItems:
      oneOf:
        - $ref: '#/components/schemas/Request2BodyFormdataItems0'
        - $ref: '#/components/schemas/Request2BodyFormdataItems1'
      title: Request2BodyFormdataItems
    Request2BodyFile:
      type: object
      properties:
        src:
          type:
            - string
            - 'null'
          description: >-
            The name of the file to upload (not its path). A null value
            indicates that no file is selected as a part of the request body.
      description: >-
        If the `mode` value is `file`, an object containing the file request
        information.
      title: Request2BodyFile
    Request2BodyGraphql:
      type: object
      properties:
        query:
          type: string
          description: The GraphQL query.
        variables:
          type:
            - string
            - 'null'
          description: The GraphQL query variables, in JSON format.
      description: >-
        If the `mode` value is `graphql`, an object containing the GraphQL
        request information.
      title: Request2BodyGraphql
    Request2BodyOptions:
      type: object
      properties: {}
      description: Additional configurations and options set for various modes.
      title: Request2BodyOptions
    Request2Body:
      type: object
      properties:
        mode:
          $ref: '#/components/schemas/Request2BodyMode'
          description: The data associated with the request.
        raw:
          type: string
          description: If the `mode` value is `raw`, the raw content of the request body.
        urlencoded:
          type: array
          items:
            $ref: '#/components/schemas/Request2BodyUrlencodedItems'
          description: A list of x-www-form-encoded key/value pairs.
        formdata:
          type: array
          items:
            $ref: '#/components/schemas/Request2BodyFormdataItems'
          description: >-
            If the `mode` value is `formdata`, then a list of form-data key/pair
            values.
        file:
          $ref: '#/components/schemas/Request2BodyFile'
          description: >-
            If the `mode` value is `file`, an object containing the file request
            information.
        graphql:
          $ref: '#/components/schemas/Request2BodyGraphql'
          description: >-
            If the `mode` value is `graphql`, an object containing the GraphQL
            request information.
        options:
          $ref: '#/components/schemas/Request2BodyOptions'
          description: Additional configurations and options set for various modes.
      description: Information about the collection's request body.
      title: Request2Body
    request-2:
      type: object
      properties:
        url:
          $ref: '#/components/schemas/url'
        auth:
          $ref: '#/components/schemas/auth-2'
        method:
          type: string
          description: The request's standard HTTP method.
        description:
          type:
            - string
            - 'null'
          description: The request's description.
        header:
          $ref: '#/components/schemas/header-list-2'
        body:
          $ref: '#/components/schemas/Request2Body'
          description: Information about the collection's request body.
      description: Information about the collection request.
      title: request-2
    Response2Header1:
      type: array
      items:
        $ref: '#/components/schemas/header-2'
      description: A list of the request's headers.
      title: Response2Header1
    Response2Header:
      oneOf:
        - type: string
        - $ref: '#/components/schemas/Response2Header1'
      title: Response2Header
    response-2:
      type: object
      properties:
        id:
          type: string
          description: The response's ID.
        originalRequest:
          $ref: '#/components/schemas/request-2'
        responseTime:
          type:
            - number
            - 'null'
          format: double
          description: The time taken by the request to complete. The unit is milliseconds.
        header:
          $ref: '#/components/schemas/Response2Header'
        body:
          type:
            - string
            - 'null'
          description: The raw text of the response.
        status:
          type: string
          description: The response's status.
        code:
          type: integer
          description: The response status code.
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the response was created.
        updatedAt:
          type: string
          format: date-time
          description: The date and time at which the response was updated.
        uid:
          type: string
          format: uid
          description: The item's unique ID.
      description: Information about the request's response.
      title: response-2
    ProtocolProfileBehaviorDisabledSystemHeaders:
      type: object
      properties:
        cache-control:
          type: boolean
        postman-token:
          type: boolean
        content-type:
          type: boolean
        content-length:
          type: boolean
        accept-encoding:
          type: boolean
        connection:
          type: boolean
        host:
          type: boolean
      description: Disable the system headers which are added implicitly.
      title: ProtocolProfileBehaviorDisabledSystemHeaders
    ProtocolProfileBehaviorProtocolVersion:
      type: string
      enum:
        - http1
        - http2
        - auto
      description: >-
        The HTTP protocol version to use. Supports the `http1`, `http2`, and
        `auto` values.
      title: ProtocolProfileBehaviorProtocolVersion
    protocol-profile-behavior:
      type: object
      properties:
        strictSSL:
          type: boolean
          description: If true, enables certificate verification.
        followRedirects:
          type: boolean
          description: If true, follow HTTP 3xx responses as redirects.
        maxRedirects:
          type: number
          format: double
          description: The maximum number of redirects to follow.
        disableBodyPruning:
          type: boolean
          description: >-
            If true, disables request body pruning for the GET, COPY, HEAD,
            PURGE, and UNLOCK methods.
        disableUrlEncoding:
          type: boolean
          description: >-
            If true, disables the percent encoding of auth, path, query, and
            fragment URL segments.
        disabledSystemHeaders:
          $ref: '#/components/schemas/ProtocolProfileBehaviorDisabledSystemHeaders'
          description: Disable the system headers which are added implicitly.
        insecureHTTPParser:
          type: boolean
          description: >-
            If true, uses an insecure HTTP parser that accepts invalid HTTP
            headers.
        followOriginalHttpMethod:
          type: boolean
          description: >-
            If true, redirects with the original HTTP method. Redirects with the
            GET HTTP method by default.
        followAuthorizationHeader:
          type: boolean
          description: >-
            If true, retains the `authorization` header when a redirect happens
            to a different hostname.
        protocolVersion:
          $ref: '#/components/schemas/ProtocolProfileBehaviorProtocolVersion'
          description: >-
            The HTTP protocol version to use. Supports the `http1`, `http2`, and
            `auto` values.
        removeRefererHeaderOnRedirect:
          type: boolean
          description: If true, removes the `referer` header when a redirect happens.
        tlsPreferServerCiphers:
          type: boolean
          description: >-
            If true, uses the server's cipher suite order instead of the
            client's during negotiation.
        tlsDisabledProtocols:
          type: array
          items:
            type: string
          description: The SSL and TLS protocol versions to disable during negotiation.
        tlsCipherSelection:
          type: array
          items:
            type: string
          description: >-
            The order of cipher suites that the SSL server profile uses to
            establish a secure connection.
      description: >-
        The
        [settings](https://learning.postman.com/docs/sending-requests/create-requests/request-settings/)
        used to alter the [Protocol Profile
        Behavior](https://github.com/postmanlabs/postman-runtime/blob/develop/docs/protocol-profile-behavior.md)
        of sending a request.
      title: protocol-profile-behavior
    item-2:
      type: object
      properties:
        id:
          type: string
          description: The collection item's ID.
        name:
          type: string
          description: The item's name.
        description:
          type:
            - string
            - 'null'
          description: The item's description.
        variable:
          $ref: '#/components/schemas/variable-list-2'
        event:
          $ref: '#/components/schemas/event-list-2'
        request:
          $ref: '#/components/schemas/request-2'
        response:
          type: array
          items:
            $ref: '#/components/schemas/response-2'
          description: A list of the collection's responses.
        protocolProfileBehavior:
          $ref: '#/components/schemas/protocol-profile-behavior'
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the collection item was created.
        updatedAt:
          type: string
          format: date-time
          description: The date and time at which the collection item was updated.
        uid:
          type: string
          format: uid
          description: The collection item's unique ID.
      required:
        - id
      description: Information about the collection request or folder.
      title: item-2
    GetCollectionCollection:
      type: object
      properties:
        info:
          $ref: '#/components/schemas/GetCollectionCollectionInfo'
          description: Information about the collection.
        item:
          type: array
          items:
            $ref: '#/components/schemas/item-2'
        auth:
          $ref: '#/components/schemas/auth-2'
        event:
          $ref: '#/components/schemas/event-list-2'
        variable:
          $ref: '#/components/schemas/variable-list-2'
      description: >-
        For a complete list of this endpoint's possible values, use the [Postman
        Collection Format
        documentation](https://schema.postman.com/collection/json/v2.1.0/draft-07/docs/index.html).
      title: GetCollectionCollection
    getCollection:
      type: object
      properties:
        collection:
          $ref: '#/components/schemas/GetCollectionCollection'
          description: >-
            For a complete list of this endpoint's possible values, use the
            [Postman Collection Format
            documentation](https://schema.postman.com/collection/json/v2.1.0/draft-07/docs/index.html).
      title: getCollection
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    GetCollectionRequestUnauthorizedError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetCollectionRequestUnauthorizedError
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    GetCollectionRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetCollectionRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples

### Successful Response



**Response**

```json
{
  "collection": {
    "info": {
      "_postman_id": "12ece9e1-2abf-4edc-8e34-de66e74114d2",
      "name": "Test Collection",
      "description": "This is a test.",
      "schema": "https://schema.getpostman.com/json/collection/v2.1.0/collection.json",
      "updatedAt": "2023-10-09T18:34:58.000Z",
      "uid": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2",
      "createdAt": "2023-10-09T18:34:58.000Z",
      "lastUpdatedBy": "12345678"
    },
    "item": [
      {
        "id": "c9a0e43c-6078-4fa0-8cfc-d4dc9e889817",
        "name": "Folder 1",
        "description": "This is a test folder.",
        "event": [
          {
            "listen": "prerequest",
            "script": {
              "type": "text/javascript",
              "exec": [
                "pm.variables.get(\"variable_key\");"
              ]
            }
          },
          {
            "listen": "test",
            "script": {
              "type": "text/javascript",
              "exec": [
                "pm.test(\"Status code is 200\", function () {",
                "    pm.response.to.have.status(200);",
                "});"
              ]
            }
          }
        ],
        "createdAt": "2022-10-05T13:09:28.000Z",
        "updatedAt": "2023-09-13T14:32:34.000Z",
        "uid": "12345678-c9a0e43c-6078-4fa0-8cfc-d4dc9e889817",
        "auth": {
          "apikey": [
            {
              "key": "value",
              "type": "string",
              "value": "XXX"
            },
            {
              "key": "key",
              "type": "string",
              "value": "x-api-key"
            }
          ],
          "type": "apikey"
        },
        "item": [
          {
            "auth": {
              "apikey": [
                {
                  "key": "value",
                  "type": "string",
                  "value": "XXX"
                },
                {
                  "key": "key",
                  "type": "string",
                  "value": "api-key"
                }
              ],
              "type": "apikey"
            },
            "createdAt": "2023-09-12T15:46:34.000Z",
            "event": [
              {
                "listen": "prerequest",
                "script": {
                  "exec": [
                    "pm.sendRequest(\"https://postman-echo.com/get\", function (err, response) {",
                    "    console.log(response.json());",
                    "});"
                  ],
                  "type": "text/javascript"
                }
              },
              {
                "listen": "test",
                "script": {
                  "exec": [
                    "pm.test(\"Status code is 200\", function () {",
                    "    pm.response.to.have.status(200);",
                    "});"
                  ],
                  "type": "text/javascript"
                }
              }
            ],
            "id": "a7046e3e-fb60-44fc-8e32-a4578b854628",
            "item": [
              {
                "createdAt": "2023-08-22T12:52:01.000Z",
                "event": [
                  {
                    "listen": "prerequest",
                    "script": {
                      "exec": [
                        "pm.sendRequest(\"https://postman-echo.com/get\", function (err, response) {",
                        "    console.log(response.json());",
                        "});"
                      ],
                      "type": "text/javascript"
                    }
                  },
                  {
                    "listen": "test",
                    "script": {
                      "exec": [
                        "pm.test(\"Status code is 200\", function () {",
                        "    pm.response.to.have.status(200);",
                        "});"
                      ],
                      "type": "text/javascript"
                    }
                  }
                ],
                "id": "c616506e-0676-4d79-88a7-c273b70e9cea",
                "name": "Test D",
                "protocolProfileBehavior": {
                  "disableBodyPruning": true
                },
                "request": {
                  "auth": {
                    "apikey": [
                      {
                        "key": "value",
                        "type": "string",
                        "value": "XXX"
                      },
                      {
                        "key": "key",
                        "type": "string",
                        "value": "api-key"
                      }
                    ],
                    "type": "apikey"
                  },
                  "description": "This is an example GET request.",
                  "header": [],
                  "method": "GET",
                  "url": {
                    "host": [
                      "postman-echo",
                      "com"
                    ],
                    "path": [
                      "get"
                    ],
                    "protocol": "https",
                    "query": [
                      {
                        "description": "Optional. The user's ID.",
                        "key": "id",
                        "value": "12345678"
                      }
                    ],
                    "raw": "https://postman-echo.com/get?id=12345678"
                  }
                },
                "response": [
                  {
                    "_postman_previewlanguage": "json",
                    "body": "{\n    \"id\": \"1234\",\n    \"user\": \"test-user\",\n    \"firstName\": \"Test\",\n    \"lastName\": \"User\"\n}",
                    "code": 200,
                    "cookie": [],
                    "createdAt": "2023-08-22T12:52:01.000Z",
                    "header": [
                      {
                        "description": "",
                        "key": "Content-Type",
                        "name": "Content-Type",
                        "type": "text",
                        "value": "application/json"
                      }
                    ],
                    "id": "d20b9562-9c85-4f25-bb2d-cfacf7dd85d1",
                    "name": "Successful Response",
                    "originalRequest": {
                      "header": [
                        {
                          "key": "Content-Type",
                          "name": "Content-Type",
                          "type": "text",
                          "value": "application/json"
                        }
                      ],
                      "method": "GET",
                      "url": {
                        "host": [
                          "postman-echo",
                          "com"
                        ],
                        "path": [
                          "get"
                        ],
                        "protocol": "https",
                        "query": [
                          {
                            "description": "Optional. The user's ID.",
                            "key": "id",
                            "value": "1234"
                          }
                        ],
                        "raw": "https://postman-echo.com/get?id=1234"
                      }
                    },
                    "responseTime": null,
                    "status": "OK",
                    "uid": "12345678-d20b9562-9c85-4f25-bb2d-cfacf7dd85d1",
                    "updatedAt": "2023-09-13T14:31:25.000Z"
                  }
                ],
                "uid": "12345678-c616506e-0676-4d79-88a7-c273b70e9cea",
                "updatedAt": "2023-09-13T14:31:25.000Z"
              },
              {
                "createdAt": "2023-09-13T14:05:22.000Z",
                "id": "bf6fd735-125e-486b-b7fb-9f0ae4a0bbc5",
                "name": "Test E",
                "protocolProfileBehavior": {
                  "disableBodyPruning": true
                },
                "request": {
                  "auth": {
                    "bearer": [
                      {
                        "key": "token",
                        "type": "string",
                        "value": "TEST"
                      }
                    ],
                    "type": "bearer"
                  },
                  "body": {
                    "mode": "raw",
                    "options": {
                      "raw": {
                        "language": "json"
                      }
                    },
                    "raw": "{\n    \"username\": \"test-user\",\n    \"firstName\": \"Test\",\n    \"lastName\": \"User\"\n}"
                  },
                  "description": "This is an example GET request.",
                  "header": [],
                  "method": "PATCH",
                  "url": {
                    "host": [
                      "postman-echo",
                      "com"
                    ],
                    "path": [
                      "get"
                    ],
                    "protocol": "https",
                    "query": [
                      {
                        "description": "Optional. The user's ID.",
                        "key": "id",
                        "value": "12345678"
                      }
                    ],
                    "raw": "https://postman-echo.com/get?id=12345678"
                  }
                },
                "response": [
                  {
                    "_postman_previewlanguage": "json",
                    "body": "{\n    \"id\": \"1234\",\n    \"user\": \"test-user\"\n}",
                    "code": 200,
                    "cookie": [],
                    "createdAt": "2023-09-13T14:05:22.000Z",
                    "header": [
                      {
                        "description": "",
                        "key": "Content-Type",
                        "name": "Content-Type",
                        "type": "text",
                        "value": "application/json"
                      }
                    ],
                    "id": "86447cb0-aeac-4371-a22f-9f6067fc4dd0",
                    "name": "Successful Response",
                    "originalRequest": {
                      "body": {
                        "mode": "raw",
                        "options": {
                          "raw": {
                            "language": "json"
                          }
                        },
                        "raw": "{\n    \"firstName\": \"Test\",\n    \"lastName\": \"User\"\n}"
                      },
                      "header": [
                        {
                          "key": "Content-Type",
                          "name": "Content-Type",
                          "type": "text",
                          "value": "application/json"
                        }
                      ],
                      "method": "GET",
                      "url": {
                        "host": [
                          "postman-echo",
                          "com"
                        ],
                        "path": [
                          "get"
                        ],
                        "protocol": "https",
                        "query": [
                          {
                            "description": "Optional. The user's ID.",
                            "key": "id",
                            "value": "1234"
                          }
                        ],
                        "raw": "https://postman-echo.com/get?id=1234"
                      }
                    },
                    "responseTime": null,
                    "status": "OK",
                    "uid": "12345678-86447cb0-aeac-4371-a22f-9f6067fc4dd0",
                    "updatedAt": "2023-09-13T14:13:21.000Z"
                  }
                ],
                "uid": "12345678-bf6fd735-125e-486b-b7fb-9f0ae4a0bbc5",
                "updatedAt": "2023-09-13T14:14:41.000Z"
              }
            ],
            "name": "ID",
            "uid": "12345678-a7046e3e-fb60-44fc-8e32-a4578b854628",
            "updatedAt": "2023-09-13T14:05:22.000Z"
          },
          {
            "createdAt": "2022-10-05T13:09:24.000Z",
            "event": [
              {
                "listen": "test",
                "script": {
                  "exec": [
                    "pm.test(\"Status code is 200\", function () {",
                    "    pm.response.to.have.status(200);",
                    "});"
                  ],
                  "type": "text/javascript"
                }
              },
              {
                "listen": "prerequest",
                "script": {
                  "exec": [
                    "pm.sendRequest(\"https://postman-echo.com/get\", function (err, response) {",
                    "    console.log(response.json());",
                    "});"
                  ],
                  "type": "text/javascript"
                }
              }
            ],
            "id": "bb4a826b-1654-4f24-9ab1-d00e4fc2d743",
            "name": "Test A",
            "protocolProfileBehavior": {
              "disableBodyPruning": true
            },
            "request": {
              "auth": {
                "bearer": [
                  {
                    "key": "token",
                    "type": "string",
                    "value": "TEST"
                  }
                ],
                "type": "bearer"
              },
              "body": {
                "mode": "raw",
                "options": {
                  "raw": {
                    "language": "json"
                  }
                },
                "raw": ""
              },
              "description": "This is a test API.",
              "header": [
                {
                  "key": "Accept",
                  "type": "text",
                  "value": "application/vnd.example.v1+json"
                }
              ],
              "method": "GET",
              "url": {
                "host": [
                  "api",
                  "getpostman",
                  "com"
                ],
                "path": [
                  "v1",
                  "request"
                ],
                "protocol": "http",
                "query": [
                  {
                    "description": "The API's ID.",
                    "key": "id",
                    "value": "12345678"
                  }
                ],
                "raw": "http://api.getpostman.com/v1/request?id=12345678"
              }
            },
            "response": [
              {
                "_postman_previewlanguage": "json",
                "body": "{\n  \"args\": {},\n  \"data\": {\n    \"field\": \"Value\"\n  },\n  \"files\": {},\n  \"form\": {},\n  \"headers\": {\n    \"x-forwarded-proto\": \"https\",\n    \"x-forwarded-port\": \"443\",\n    \"host\": \"postman-echo.com\",\n    \"x-amzn-trace-id\": \"Root=1-64f9c517-36db304817c774d740619baa\",\n    \"content-length\": \"22\",\n    \"user-agent\": \"curl/7.88.1\",\n    \"accept\": \"*/*\",\n    \"content-type\": \"application/json\"\n  },\n  \"json\": {\n    \"field\": \"Value\"\n  },\n  \"url\": \"https://postman-echo.com/post\"\n}\n",
                "code": 200,
                "cookie": [],
                "createdAt": "2023-09-12T18:34:27.000Z",
                "header": [
                  {
                    "key": "date",
                    "value": "Thu, 07 Sep 2023 12:41:59 GMT"
                  },
                  {
                    "key": "content-type",
                    "value": "application/json; charset=utf-8"
                  },
                  {
                    "key": "content-length",
                    "value": "468"
                  },
                  {
                    "key": "etag",
                    "value": "W/\"1d4-JuAIw8ssoFCtGzk/UwITxaiSbrc\""
                  },
                  {
                    "key": "set-cookie",
                    "value": "sails.sid=s%3A6p_NXpI3OZeGE35bI6i5Uq3XgHHxcsdJ.dQVpBE%2BJ9wHWainkqe6F6dkdv7UKoshSZY7sdZ5sbzo; Path=/ HttpOnly"
                  }
                ],
                "id": "5f297469-80d7-4847-a3e2-f596f2e717d8",
                "name": "Successful Response",
                "originalRequest": {
                  "body": {
                    "mode": "raw",
                    "options": {
                      "raw": {
                        "language": "json"
                      }
                    },
                    "raw": "{\n  \"field\": \"Value\"\n}"
                  },
                  "header": [
                    {
                      "key": "Host",
                      "value": "postman-echo.com"
                    },
                    {
                      "key": "user-agent",
                      "value": "curl/7.88.1"
                    },
                    {
                      "key": "accept",
                      "value": "*/*"
                    },
                    {
                      "key": "content-type",
                      "value": "application/json"
                    },
                    {
                      "key": "content-length",
                      "value": "22"
                    }
                  ],
                  "method": "POST",
                  "url": {
                    "host": [
                      "postman-echo",
                      "com"
                    ],
                    "path": [
                      "post"
                    ],
                    "protocol": "https",
                    "raw": "https://postman-echo.com/post"
                  }
                },
                "responseTime": null,
                "status": "OK",
                "uid": "12345678-5f297469-80d7-4847-a3e2-f596f2e717d8",
                "updatedAt": "2023-09-13T14:04:37.000Z"
              },
              {
                "_postman_previewlanguage": "json",
                "body": "{\n    \"title\": \"Not Found\",\n    \"detail\": \"Requested API does not exist\",\n    \"type\": \"about:blank\"\n}",
                "code": 404,
                "cookie": [],
                "createdAt": "2023-08-22T12:53:12.000Z",
                "header": [
                  {
                    "description": "",
                    "key": "Content-Type",
                    "name": "Content-Type",
                    "type": "text",
                    "value": "application/json"
                  }
                ],
                "id": "789df3cf-9362-40f7-a69e-4adde47d2bc8",
                "name": "Not Found",
                "originalRequest": {
                  "body": {
                    "mode": "raw",
                    "options": {
                      "raw": {
                        "language": "json"
                      }
                    },
                    "raw": ""
                  },
                  "header": [
                    {
                      "key": "Accept",
                      "type": "text",
                      "value": "application/vnd.example.v1+json"
                    }
                  ],
                  "method": "GET",
                  "url": {
                    "host": [
                      "api",
                      "getpostman",
                      "com"
                    ],
                    "path": [
                      "v1",
                      "request"
                    ],
                    "protocol": "http",
                    "query": [
                      {
                        "key": "id",
                        "value": "test-api"
                      }
                    ],
                    "raw": "http://api.getpostman.com/v1/request?id=test-api"
                  }
                },
                "responseTime": null,
                "status": "Not Found",
                "uid": "12345678-789df3cf-9362-40f7-a69e-4adde47d2bc8",
                "updatedAt": "2023-09-13T14:04:32.000Z"
              }
            ],
            "uid": "12345678-bb4a826b-1654-4f24-9ab1-d00e4fc2d743",
            "updatedAt": "2025-04-25T17:29:16.000Z"
          },
          {
            "createdAt": "2022-10-05T13:16:49.000Z",
            "id": "3e2b5890-8fb9-4a73-bf7b-f0a161502513",
            "name": "Test B",
            "protocolProfileBehavior": {
              "disableBodyPruning": true
            },
            "request": {
              "body": {
                "mode": "raw",
                "options": {
                  "raw": {
                    "language": "json"
                  }
                },
                "raw": "{\n    \"name\": \"Test\",\n    \"description\": \"This is a test.\"\n}"
              },
              "header": [],
              "method": "PUT",
              "url": {
                "host": [
                  "api",
                  "getpostman",
                  "com"
                ],
                "path": [
                  "v1",
                  "request"
                ],
                "protocol": "http",
                "raw": "http://api.getpostman.com/v1/request"
              }
            },
            "response": [
              {
                "_postman_previewlanguage": "json",
                "body": "{\n    \"id\": \"1234\",\n    \"user\": \"test-user\"\n}",
                "code": 200,
                "cookie": [],
                "createdAt": "2023-09-12T15:20:20.000Z",
                "header": [
                  {
                    "description": "",
                    "key": "Content-Type",
                    "name": "Content-Type",
                    "type": "text",
                    "value": "application/json"
                  }
                ],
                "id": "c7ffac80-0ab7-45da-a966-10bf469936db",
                "name": "Test B",
                "originalRequest": {
                  "body": {
                    "mode": "raw",
                    "options": {
                      "raw": {
                        "language": "json"
                      }
                    },
                    "raw": "{\n    \"firstName\": \"Test\",\n    \"lastName\": \"User\"\n}"
                  },
                  "header": [
                    {
                      "key": "Content-Type",
                      "name": "Content-Type",
                      "type": "text",
                      "value": "application/json"
                    }
                  ],
                  "method": "PUT",
                  "url": {
                    "host": [
                      "api",
                      "getpostman",
                      "com"
                    ],
                    "path": [
                      "v1",
                      "request"
                    ],
                    "protocol": "http",
                    "raw": "http://api.getpostman.com/v1/request"
                  }
                },
                "responseTime": null,
                "status": "OK",
                "uid": "12345678-c7ffac80-0ab7-45da-a966-10bf469936db",
                "updatedAt": "2023-09-13T14:13:44.000Z"
              }
            ],
            "uid": "12345678-3e2b5890-8fb9-4a73-bf7b-f0a161502513",
            "updatedAt": "2023-09-13T14:08:04.000Z"
          },
          {
            "createdAt": "2023-09-07T14:03:52.000Z",
            "event": [
              {
                "listen": "test",
                "script": {
                  "exec": [
                    "pm.test(\"Status code is 200\", function () {",
                    "    pm.response.to.have.status(200);",
                    "});"
                  ],
                  "type": "text/javascript"
                }
              },
              {
                "listen": "prerequest",
                "script": {
                  "exec": [
                    ""
                  ],
                  "type": "text/javascript"
                }
              }
            ],
            "id": "98518f83-1da1-4d27-8253-432cc923dbae",
            "name": "Test C",
            "protocolProfileBehavior": {
              "disableBodyPruning": true
            },
            "request": {
              "auth": {
                "apikey": [
                  {
                    "key": "value",
                    "type": "string",
                    "value": "XXX"
                  },
                  {
                    "key": "key",
                    "type": "string",
                    "value": "api-key"
                  }
                ],
                "type": "apikey"
              },
              "body": {
                "mode": "raw",
                "options": {
                  "raw": {
                    "language": "json"
                  }
                },
                "raw": "{\n    \"name\": \"Test API\",\n    \"description\": \"This is a test API.\"\n}"
              },
              "header": [],
              "method": "POST",
              "url": {
                "host": [
                  "postman-echo",
                  "com"
                ],
                "path": [
                  "post"
                ],
                "protocol": "https",
                "raw": "https://postman-echo.com/post"
              }
            },
            "response": [
              {
                "_postman_previewlanguage": "json",
                "body": "{\n    \"id\": \"test-api\",\n    \"name\": \"Test API\",\n    \"description\": \"This is a test API.\",\n    \"is_public\": false,\n    \"created_at\": \"2022-01-28T11:50:56.000Z\",\n    \"updated_at\": \"2022-01-28T11:50:56.000Z\",\n    \"performance\": {\n        \"collection\": \"123e4567-e89b-12d3-a456-556642440000\",\n        \"environment\": \"123e4567-e89b-12d3-a456-556642440000\"\n    }\n}",
                "cookie": [],
                "createdAt": "2023-09-12T15:21:55.000Z",
                "header": [
                  {
                    "description": "",
                    "key": "Content-Type",
                    "name": "Content-Type",
                    "type": "text",
                    "value": "application/json"
                  }
                ],
                "id": "bb3cb97c-619e-4c81-9a14-139efe81816c",
                "name": "Successful Response",
                "originalRequest": {
                  "body": {
                    "mode": "raw",
                    "options": {
                      "raw": {
                        "language": "json"
                      }
                    },
                    "raw": "{\n    \"name\": \"Test API\",\n    \"description\": \"This is a test API.\"\n}"
                  },
                  "header": [],
                  "method": "POST",
                  "url": {
                    "host": [
                      "postman-echo",
                      "com"
                    ],
                    "path": [
                      "post"
                    ],
                    "protocol": "https",
                    "raw": "https://postman-echo.com/post"
                  }
                },
                "responseTime": null,
                "uid": "12345678-bb3cb97c-619e-4c81-9a14-139efe81816c",
                "updatedAt": "2023-09-13T14:33:26.000Z"
              }
            ],
            "uid": "12345678-98518f83-1da1-4d27-8253-432cc923dbae",
            "updatedAt": "2023-09-13T14:26:58.000Z"
          }
        ]
      },
      {
        "id": "7d1ea228-82fc-4887-833a-caf88d3182d5",
        "name": "Folder 3",
        "description": "This is a test folder.",
        "event": [
          {
            "listen": "prerequest",
            "script": {
              "type": "text/javascript",
              "exec": [
                "pm.sendRequest(\"https://postman-echo.com/get\", function (err, response) {",
                "    console.log(response.json());",
                "});"
              ]
            }
          },
          {
            "listen": "test",
            "script": {
              "type": "text/javascript",
              "exec": [
                "pm.test(\"Status code is 200\", function () {",
                "    pm.response.to.have.status(200);",
                "});"
              ]
            }
          }
        ],
        "createdAt": "2022-10-05T13:09:34.000Z",
        "updatedAt": "2023-09-15T18:22:13.000Z",
        "uid": "12345678-7d1ea228-82fc-4887-833a-caf88d3182d5",
        "auth": {
          "apikey": [
            {
              "key": "value",
              "type": "string",
              "value": "XXX"
            },
            {
              "key": "key",
              "type": "string",
              "value": "x-api-key"
            }
          ],
          "type": "apikey"
        },
        "item": [
          {
            "createdAt": "2023-09-13T21:54:44.000Z",
            "description": "Test folder user ID.",
            "id": "07f106de-776e-4fd8-9fc1-dc72e4a06a00",
            "item": [
              {
                "createdAt": "2023-09-14T12:44:28.000Z",
                "id": "a22f41d5-32bf-4830-8731-10ad18e88874",
                "name": "Request 3-A",
                "protocolProfileBehavior": {
                  "disableBodyPruning": true
                },
                "request": {
                  "body": {
                    "mode": "raw",
                    "options": {
                      "raw": {
                        "language": "json"
                      }
                    },
                    "raw": ""
                  },
                  "header": [],
                  "method": "GET",
                  "url": {
                    "raw": ""
                  }
                },
                "response": [],
                "uid": "12345678-a22f41d5-32bf-4830-8731-10ad18e88874",
                "updatedAt": "2023-09-15T16:25:21.000Z"
              }
            ],
            "name": "ID",
            "uid": "12345678-07f106de-776e-4fd8-9fc1-dc72e4a06a00",
            "updatedAt": "2023-09-15T16:26:42.000Z"
          },
          {
            "createdAt": "2023-09-13T21:56:35.000Z",
            "description": "Test folder for user information.",
            "id": "2c9de017-885f-4c1e-99bf-d10cd870fb0b",
            "item": [
              {
                "createdAt": "2023-09-14T14:02:27.000Z",
                "id": "69e1ed6c-9d7b-41cd-aff7-69a468cf8252",
                "name": "New Request",
                "protocolProfileBehavior": {
                  "disableBodyPruning": true
                },
                "request": {
                  "header": [],
                  "method": "POST",
                  "url": {
                    "raw": ""
                  }
                },
                "response": [],
                "uid": "12345678-69e1ed6c-9d7b-41cd-aff7-69a468cf8252",
                "updatedAt": "2023-09-14T14:02:59.000Z"
              },
              {
                "createdAt": "2023-09-14T14:02:49.000Z",
                "id": "8b50cfc3-6af3-446e-a607-8d05e38e1ce9",
                "name": "New Request",
                "protocolProfileBehavior": {
                  "disableBodyPruning": true
                },
                "request": {
                  "header": [],
                  "method": "GET",
                  "url": {
                    "raw": ""
                  }
                },
                "response": [],
                "uid": "12345678-8b50cfc3-6af3-446e-a607-8d05e38e1ce9",
                "updatedAt": "2023-09-14T14:02:49.000Z"
              }
            ],
            "name": "User",
            "uid": "12345678-2c9de017-885f-4c1e-99bf-d10cd870fb0b",
            "updatedAt": "2023-09-15T16:26:54.000Z"
          },
          {
            "createdAt": "2022-11-18T15:42:45.000Z",
            "id": "8b29623b-9c9c-4fed-ab9e-85f64524977b",
            "name": "Test A",
            "protocolProfileBehavior": {
              "disableBodyPruning": true
            },
            "request": {
              "header": [],
              "method": "GET",
              "url": {
                "host": [
                  "api",
                  "getpostman",
                  "com"
                ],
                "path": [
                  "v1",
                  "request"
                ],
                "protocol": "http",
                "raw": "http://api.getpostman.com/v1/request"
              }
            },
            "response": [],
            "uid": "12345678-8b29623b-9c9c-4fed-ab9e-85f64524977b",
            "updatedAt": "2023-09-13T14:07:08.000Z"
          }
        ]
      },
      {
        "id": "ff460862-473c-41b8-8be4-a493041c3351",
        "name": "Test F",
        "request": {
          "url": {
            "raw": ""
          },
          "method": "POST",
          "header": []
        },
        "response": [],
        "protocolProfileBehavior": {
          "disableBodyPruning": true
        },
        "createdAt": "2023-08-22T12:51:45.000Z",
        "updatedAt": "2025-05-29T16:04:09.000Z",
        "uid": "12345678-ff460862-473c-41b8-8be4-a493041c3351"
      }
    ],
    "auth": {
      "type": "apikey",
      "apikey": [
        {
          "key": "value",
          "value": "abc123",
          "type": "string"
        },
        {
          "key": "key",
          "value": "x-api-key",
          "type": "string"
        }
      ]
    },
    "event": [
      {
        "listen": "prerequest",
        "script": {
          "id": "cc22c328-3dcc-46c1-a357-7e2f72f54cf6",
          "type": "text/javascript",
          "exec": [
            "try {",
            "    const response = await pm.sendRequest({",
            "        url: \"https://postman-echo.com/get\",",
            "        method: \"GET\"",
            "    });",
            "",
            "    console.log(response.json());",
            "} catch (err) {",
            "    console.error(err);",
            "}"
          ],
          "packages": {}
        }
      },
      {
        "listen": "test",
        "script": {
          "id": "5db243ea-5022-4d08-a620-b8fb9d561af5",
          "type": "text/javascript",
          "exec": [
            "pm.test(\"Status code is 200\", function () {",
            "    pm.response.to.have.status(200);",
            "});"
          ],
          "packages": {}
        }
      }
    ],
    "variable": [
      {
        "key": "userId",
        "description": "The user's ID.",
        "value": "12345678",
        "disabled": true
      }
    ]
  }
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Response with model=minimal



**Response**

```json
{
  "collection": {
    "info": {
      "_postman_id": "12ece9e1-2abf-4edc-8e34-de66e74114d2",
      "name": "Test Collection",
      "description": "This is a test.",
      "updatedAt": "2023-10-13T08:14:22.000Z",
      "uid": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2",
      "createdAt": "2023-10-09T18:34:58.000Z",
      "lastUpdatedBy": "12345678"
    },
    "auth": {
      "type": "apikey",
      "apikey": [
        {
          "key": "value",
          "value": "XXX",
          "type": "string"
        },
        {
          "key": "key",
          "value": "x-api-key",
          "type": "string"
        }
      ]
    },
    "variable": [
      {
        "key": "userId",
        "description": "The user's ID.",
        "value": "12345678",
        "disabled": true
      }
    ],
    "events": [
      {
        "listen": "prerequest",
        "script": {
          "exec": [
            ""
          ],
          "id": "95d3e370-b6eb-42f5-9a98-8f276742037d",
          "type": "text/javascript"
        }
      },
      {
        "listen": "test",
        "script": {
          "exec": [
            ""
          ],
          "id": "d09029f2-ab45-4a80-b167-90a4c49bf64e",
          "type": "text/javascript"
        }
      }
    ],
    "rootLevelFolders": [
      "12345678-803151f5-57f1-4ae5-8f75-4919dbd20372"
    ],
    "rootLevelRequests": [
      "12345678-8178d96f-7504-4273-9ca2-26c2ac725a5b",
      "12345678-fd7565b1-ec19-4d16-b5d4-a3116d1972fb",
      "12345678-3860896c-11fe-4c32-9f0a-88625977c8dc"
    ]
  }
}
```

**SDK Code**

```python Response with model=minimal
import requests

url = "https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Response with model=minimal
const url = 'https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Response with model=minimal
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Response with model=minimal
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Response with model=minimal
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Response with model=minimal
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Response with model=minimal
using RestSharp;

var client = new RestClient("https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Response with model=minimal
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Forked Collection Response



**Response**

```json
{
  "collection": {
    "info": {
      "_postman_id": "12ece9e1-2abf-4edc-8e34-de66e74114d2",
      "name": "Test Collection",
      "description": "This is a sample collection that makes a tiny request to Postman Echo service to get the list of request headers sent by a HTTP client.",
      "schema": "https://schema.getpostman.com/json/collection/v2.1.0/collection.json",
      "fork": {
        "label": "Collection fork",
        "createdAt": "2024-07-17T13:12:43.000Z",
        "from": "87654321-c8142d52-f97d-46a7-bc77-52bb99713o1n"
      },
      "updatedAt": "2023-10-13T08:14:22.000Z",
      "uid": "12345678-12ece9e1-2abf-4edc-8e34-de66e74114d2",
      "createdAt": "2023-10-08T13:04:28.000Z",
      "lastUpdatedBy": "12345678"
    },
    "item": [
      {
        "id": "6d64ff6f-8a48-4442-8109-25b7b4c8dcbf",
        "name": "Example GET Request",
        "request": {
          "url": {
            "host": [
              "postman-echo",
              "com"
            ],
            "path": [
              "get"
            ],
            "protocol": "https",
            "raw": "https://postman-echo.com/get"
          },
          "method": "GET",
          "header": []
        },
        "response": [],
        "protocolProfileBehavior": {
          "disableBodyPruning": true
        },
        "uid": "12345678-6d64ff6f-8a48-4442-8109-25b7b4c8dcbf"
      }
    ]
  }
}
```

**SDK Code**

```python Forked Collection Response
import requests

url = "https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Forked Collection Response
const url = 'https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Forked Collection Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Forked Collection Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Forked Collection Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Forked Collection Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Forked Collection Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Forked Collection Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/collections/12ece9e1-2abf-4edc-8e34-de66e74114d2")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```